﻿using System.Windows.Controls;
using Infragistics.Controls.Menus;
using System.Windows;


namespace RibbonExploratory
{
    public partial class MainPage : UserControl
    {
        private enum RadioButtonState
        {
            Checked,
            Unchecked
        }

        #region ctor

        public MainPage()
        {
            InitializeComponent();
        }

        #endregion // ctor

        private void RadioButtonTool_Click(object sender, RibbonToolEventArgs e)
        {
            RadioButtonState radioButtonState;

            if (((RadioButtonTool)e.Tool).IsChecked)
            {
                //Uncheck the RadioButton and take the corresponding action
                this.Dispatcher.BeginInvoke(() =>
                    {
                        ((RadioButtonTool)e.Tool).IsChecked = false;
                    });

                radioButtonState = RadioButtonState.Unchecked;
            }
            else
            {
                radioButtonState = RadioButtonState.Checked;
            }

            DummyDoWorkMethod(radioButtonState);
        }

        private void DummyDoWorkMethod(RadioButtonState radioButtonState)
        {
            listBox1.Items.Add(string.Format("RadioButton {0}", radioButtonState));
        }
    }
}
